package com.ekexiu.project.platform.article;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.project.platform.base.po.ManagedBaseTable;

@PrimaryKey("id")
@Table(descp = "内容表")
public class Article implements ManagedBaseTable {

    private String id;
    private long shareId;
    private String catalog;
    private String title;
    private String source;
    private String imgUrl;
    private String cnt;
    private boolean published;
    private boolean actived;
    private String createTime;
    private String modifyTime;
    private String creator;
    private String modifier;

    private String professor;
    private String org;
    private String comp;

    @Column(descp = "内容ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "内容分享ID", value = DE.bigSerial, insertable = false, renewable = false)
    public long getShareId() {
        return shareId;
    }

    public void setShareId(long shareId) {
        this.shareId = shareId;
    }

    @Column(descp = "内容栏目", value = DE.Text_de)
    public String getCatalog() {
        return catalog;
    }

    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    @Column(descp = "内容标题", value = DE.text_de)
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(descp = "内容来源", value = DE.Text_de)
    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    @Column(descp = "封面图片", value = DE.Text_de)
    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    @Column(descp = "内容", value = DE.Text_de)
    public String getCnt() {
        return cnt;
    }

    public void setCnt(String cnt) {
        this.cnt = cnt;
    }

    @Column(descp = "内容状态", value = DE.boolean_de)
    public boolean isPublished() {
        return published;
    }

    public void setPublished(boolean published) {
        this.published = published;
    }

    @Column(descp = "有效标志", value = DE.boolean_de,renewable = false)
    public boolean isActived() {
        return actived;
    }

    public void setActived(boolean actived) {
        this.actived = actived;
    }

    @Column(descp = "关联专家", value = DE.Text_de)
    public String getProfessor() {
        return professor;
    }

    public void setProfessor(String professor) {
        this.professor = professor;
    }

    @Column(descp = "关联机构", value = DE.Text_de)
    public String getOrg() {
        return org;
    }

    public void setOrg(String org) {
        this.org = org;
    }

    @Column(descp = "关联企业", value = DE.Text_de)
    public String getComp() {
        return comp;
    }

    public void setComp(String comp) {
        this.comp = comp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

}
