package com.ekexiu.project.platform.article;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.Dynamic;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

@DAO
public interface ArticleDao {


    @UpdateWith
    @From(Article.class)
    @Where("ACTIVED ='1'")
    @SetSentence("ACTIVED='0'")
    int invalid(Connection con, String id) throws SQLException;

    @UpdateWith
    @From(Article.class)
    @Where("ACTIVED ='0'")
    @SetSentence("ACTIVED='1'")
    int valid(Connection con, String id) throws SQLException;

    @DeleteWith
    @From(InvalidArticle.class)
    int delete(Connection con, String id) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY MODIFY_TIME DESC")
    @Where("ACTIVED = '1'")
    PageQueryResult<Article> pageQuery(Connection con, @Nullable @Like String title, @Nullable String catalog, @Nullable Boolean published, int pageSize, int pageNo) throws SQLException;

    @SelectOne
    @Nullable
    Article queryArticle(Connection con, String id) throws SQLException;

    @Insert
    int insert(Connection con, Article article) throws SQLException;

    @Update
    @Where("ACTIVED ='1'")
    @Dynamic
    int update(Connection con, Article article) throws SQLException;

    @Update
    @Where("ACTIVED = '1' AND PUBLISHED = '0'")
    @Dynamic
    int draftUpdate(Connection con, Article article) throws SQLException;

    @Insert
    int insert(Connection con, ArticlePro articlePro) throws SQLException;

    @DeleteWith
    @From(ArticlePro.class)
    int deleteArticlePro(Connection con, String articleId) throws SQLException;

    @SelectList
    List<ArticlePro> queryArticlePro(Connection con, String articleId) throws SQLException;

    @Insert
    int insert(Connection con, ArticleOrg articleOrg) throws SQLException;

    @DeleteWith
    @From(ArticleOrg.class)
    int deleteArticleOrg(Connection con, String articleId) throws SQLException;

    @SelectList
    List<ArticleOrg> queryArticleOrg(Connection con, String articleId) throws SQLException;

    @Insert
    int insert(Connection con, ArticleComp articleComp) throws SQLException;

    @DeleteWith
    @From(ArticleComp.class)
    int deleteArticleComp(Connection con, String articleId) throws SQLException;

    @SelectList
    List<ArticleComp> queryArticleComp(Connection con, String articleId) throws SQLException;

    @PageSelect
    @OrderBy("ORDER BY INVALID_TIME DESC")
    PageQueryResult<InvalidArticle> pageQuery(Connection con, @Nullable String catalog, int pageSize, int pageNo) throws SQLException;


}
