package com.ekexiu.project.platform.base.po;

import org.jfw.apt.annotation.JfwAptConfig;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.VirtualTable;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;

@JfwAptConfig("DB:PostgreSQL")
@VirtualTable
public interface BaseTable {
	@Column(descp="创建时间（YYYYMMDDHH24MISS）不可修改", handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
	String getCreateTime();
	void setCreateTime(String createTime);

	@Column(descp="最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101", handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "'20000101010101'", fixSqlValueWithUpdate = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = true)
	String getModifyTime();
	void setModifyTime(String modifyTime);


	
}