package com.ekexiu.project.platform.company;

import com.ekexiu.project.platform.base.po.ManagedBaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/19.
 */
@PrimaryKey("id")
@Table(descp = "企业信息", value = "COMPANY")
public class Company implements ManagedBaseTable {

    private String id;
    private long shareId;
    private String name;
    private String logo;
    private String type;
    private String size;
    private String foundYear;
    private String descp;
    private String url;
    private String location;
    private String addr;
    private String zipCode;
    private String servicePhone;
    private String serviceEmail;
    private String operateTime;
    private String linkman;
    private String job;
    private String department;
    private String linkphone;
    private String linkemail;

    private boolean actived;
    private String activeTime;

    private String creator;
    private String modifier;
    private String createTime;
    private String modifyTime;

    @Column(descp = "企业ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "共享ID", value = DE.bigSerial)
    public long getShareId() {
        return shareId;
    }

    public void setShareId(long shareId) {
        this.shareId = shareId;
    }

    @Column(descp = "企业名称", value = DE.text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "企业logo", value = DE.Text_de)
    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    @Column(descp = "企业类型", value = DE.SingleChar)
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(descp = "企业规模", value = DE.Text_de)
    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    @Column(descp = "创立年份", value = DE.Text_de)
    public String getFoundYear() {
        return foundYear;
    }

    public void setFoundYear(String foundYear) {
        this.foundYear = foundYear;
    }

    @Column(descp = "企业简介", value = DE.Text_de)
    public String getDescp() {
        return descp;
    }

    public void setDescp(String descp) {
        this.descp = descp;
    }

    @Column(descp = "官方网址", value = DE.Text_de)
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Column(descp = "企业地址", value = DE.Text_de)
    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    @Column(descp = "所在城市编码", value = DE.Text_de)
    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    @Column(descp = "企业邮编", value = DE.Text_de)
    public String getZipCode() {
        return zipCode;
    }

    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    @Column(descp = "客服电话", value = DE.Text_de)
    public String getServicePhone() {
        return servicePhone;
    }

    public void setServicePhone(String servicePhone) {
        this.servicePhone = servicePhone;
    }

    @Column(descp = "客服邮箱", value = DE.Text_de)
    public String getServiceEmail() {
        return serviceEmail;
    }

    public void setServiceEmail(String serviceEmail) {
        this.serviceEmail = serviceEmail;
    }

    @Column(descp = "工作时间", value = DE.Text_de)
    public String getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    @Column(descp = "联系人", value = DE.Text_de)
    public String getLinkman() {
        return linkman;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    @Column(descp = "联系人职位", value = DE.Text_de)
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Column(descp = "所在部门", value = DE.Text_de)
    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    @Column(descp = "联系人电话", value = DE.Text_de)
    public String getLinkphone() {
        return linkphone;
    }

    public void setLinkphone(String linkphone) {
        this.linkphone = linkphone;
    }

    @Column(descp = "联系人邮箱", value = DE.Text_de)
    public String getLinkemail() {
        return linkemail;
    }

    public void setLinkemail(String linkemail) {
        this.linkemail = linkemail;
    }

    @Column(descp = "激活状态", value = DE.boolean_de,renewable = false)
    public boolean isActived() {
        return actived;
    }

    public void setActived(boolean actived) {
        this.actived = actived;
    }

    @Column(descp = "激活时间", value = DE.DateTime_de)
    public String getActiveTime() {
        return activeTime;
    }

    public void setActiveTime(String activeTime) {
        this.activeTime = activeTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }
}
