package com.ekexiu.project.platform.company;

import com.ekexiu.project.platform.system.vo.SessionManager;
import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.LoginUser;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.operate.Put;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.apt.web.annotation.param.RequestBody;
import org.jfw.util.PageQueryResult;
import org.jfw.util.StringUtil;
import org.jfw.util.jdbc.JdbcUtil;
import org.jfw.util.jdbc.PreparedStatementConfig;
import org.jfw.util.json.JsonService;
import org.jfw.util.reflect.TypeReference;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Random;

/**
 * Created by TT on 2018/11/26.
 */
@Path("/company")
public class CompanyService {

    @Autowrie
    private CompanyDao companyDao;

    public CompanyDao getCompanyDao() {
        return companyDao;
    }

    public void setCompanyDao(CompanyDao companyDao) {
        this.companyDao = companyDao;
    }

    @Path("/insert")
    @Post
    public String insert(@JdbcConn(true) Connection con, CompanyInfo companyInfo, @LoginUser SessionManager manager) throws SQLException {
        String id = StringUtil.buildUUID();
        companyInfo.setId(id);
        companyInfo.setCreator(manager.getId());
        companyInfo.setModifier(manager.getId());
        companyInfo.setActived(false);

        String indstr = companyInfo.getIndustry();
        if(indstr!=null) {
            List<String> industrys = JsonService.fromJson(indstr, new TypeReference<List<String>>() {
            }.getType());
            if (industrys.size() != 0) {
                int i = 1;
                for (String ind : industrys) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(1);
                    ckw.setNum(i++);
                    ckw.setValue(ind);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String substr = companyInfo.getSubject();
        if(substr!=null) {
            List<String> subjects = JsonService.fromJson(substr, new TypeReference<List<String>>() {
            }.getType());
            if (subjects.size() != 0) {
                int j = 1;
                for (String sub : subjects) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(2);
                    ckw.setNum(j++);
                    ckw.setValue(sub);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String fos = companyInfo.getFieldOfSupplier();
        if(fos!=null) {
            List<String> fieldOfSuppliers = JsonService.fromJson(fos, new TypeReference<List<String>>() {
            }.getType());
            if (fieldOfSuppliers.size() != 0) {
                int m = 1;
                for (String fieldOfSupplier : fieldOfSuppliers) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(3);
                    ckw.setNum(m++);
                    ckw.setValue(fieldOfSupplier);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String foc = companyInfo.getFieldOfCustomer();
        if(foc!=null) {
            List<String> fieldOfCustomers = JsonService.fromJson(foc, new TypeReference<List<String>>() {
            }.getType());
            if (fieldOfCustomers.size() != 0) {
                int n = 1;
                for (String fieldOfCustomer : fieldOfCustomers) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(4);
                    ckw.setNum(n++);
                    ckw.setValue(fieldOfCustomer);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String qua = companyInfo.getQualification();
        if(qua!=null) {
            List<String> qualifications = JsonService.fromJson(qua, new TypeReference<List<String>>() {
            }.getType());
            if (qualifications.size() != 0) {
                int z = 1;
                for (String qualification : qualifications) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(5);
                    ckw.setNum(z++);
                    ckw.setValue(qualification);
                    companyDao.insert(con, ckw);
                }
            }
        }

        CompInviteCode cic = new CompInviteCode();
        cic.setId(id);
        Random rd = new Random();
        int code = rd.nextInt(1000000);
        String inviteCode = String.format("%06d", code);
        cic.setInvateCode(inviteCode);
        companyDao.insert(con, companyInfo);
        companyDao.insert(con, cic);
        return id;
    }

    @Path("/update")
    @Put
    public int update(@JdbcConn(true) Connection con, @LoginUser SessionManager manager, @RequestBody CompanyInfo companyInfo) throws SQLException {
        String id = companyInfo.getId();
        companyInfo.setModifier(manager.getId());
        companyDao.deleteKeyWord(con, id);
        String indstr = companyInfo.getIndustry();
        if(indstr!=null) {
            List<String> industrys = JsonService.fromJson(indstr, new TypeReference<List<String>>() {
            }.getType());
            if (industrys.size() != 0) {
                int i = 1;
                for (String ind : industrys) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(1);
                    ckw.setNum(i++);
                    ckw.setValue(ind);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String substr = companyInfo.getSubject();
        if (substr != null) {
            List<String> subjects = JsonService.fromJson(substr, new TypeReference<List<String>>() {
            }.getType());
            if (subjects.size() != 0) {
                int j = 1;
                for (String sub : subjects) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(2);
                    ckw.setNum(j++);
                    ckw.setValue(sub);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String fos = companyInfo.getFieldOfSupplier();
        if(fos!=null) {
            List<String> fieldOfSuppliers = JsonService.fromJson(fos, new TypeReference<List<String>>() {
            }.getType());
            if (fieldOfSuppliers.size() != 0) {
                int m = 1;
                for (String fieldOfSupplier : fieldOfSuppliers) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(3);
                    ckw.setNum(m++);
                    ckw.setValue(fieldOfSupplier);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String foc = companyInfo.getFieldOfCustomer();
        if(foc!=null) {
            List<String> fieldOfCustomers = JsonService.fromJson(foc, new TypeReference<List<String>>() {
            }.getType());
            if (fieldOfCustomers.size() != 0) {
                int n = 1;
                for (String fieldOfCustomer : fieldOfCustomers) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(4);
                    ckw.setNum(n++);
                    ckw.setValue(fieldOfCustomer);
                    companyDao.insert(con, ckw);
                }
            }
        }

        String qua = companyInfo.getQualification();
        if(qua!=null) {
            List<String> qualifications = JsonService.fromJson(qua, new TypeReference<List<String>>() {
            }.getType());
            if (qualifications.size() != 0) {
                int z = 1;
                for (String qualification : qualifications) {
                    CompKeyWord ckw = new CompKeyWord();
                    ckw.setId(id);
                    ckw.setType(5);
                    ckw.setNum(z++);
                    ckw.setValue(qualification);
                    companyDao.insert(con, ckw);
                }
            }
        }
        return companyDao.update(con, companyInfo);
    }

    @LoginUser
    @Path("/qo")
    @Get
    public Company query(@JdbcConn Connection con, String id) throws SQLException {
        return companyDao.query(con, id);
    }

    @LoginUser
    @Path("/qo/keyword")
    @Get
    public List<CompKeyWord> queryKeyWord(@JdbcConn Connection con, String id, @Nullable Integer type) throws SQLException {
        return companyDao.queryKeyWord(con, id, type);
    }

    @LoginUser
    @Path("/pq")
    @Get
    public PageQueryResult<Company> pageQuery(@JdbcConn Connection con, boolean actived, @Nullable String name, int pageSize, int pageNo) throws SQLException {
        return companyDao.pageQuery(con, actived, name == null ? null : "%" + name + "%", pageSize, pageNo);
    }

    @LoginUser
    @Path("/name")
    @Get
    public List<TypeaheadItem> queryName(@JdbcConn Connection con, String name, int size) throws SQLException {
        if (name != null) {
            name = "%" + name + "%";
        }
        List<TypeaheadItem> ret = new ArrayList<>(size);
        final String finalKey = name;
        List<Map<String, Object>> typehead = JdbcUtil.queryMaps(con, "SELECT NAME,ID FROM COMPANY WHERE NAME LIKE ?", new PreparedStatementConfig() {
            @Override
            public void config(PreparedStatement preparedStatement) throws SQLException {
                preparedStatement.setString(1, finalKey);
            }
        });

        for (Map<String, Object> map : typehead) {
            TypeaheadItem item = new TypeaheadItem();
            item.setId((String) map.get("id"));
            item.setName((String) map.get("name"));
            ret.add(item);
        }
        return ret;
    }

    @LoginUser
    @Path("/queryInviteCode")
    @Get
    public CompInviteCode queryInviteCode(@JdbcConn Connection con,String id)throws SQLException {
        return companyDao.queryInviteCode(con, id);
    }

    @LoginUser
    @Path("/invite/mail")
    @Post
    public void inviteMail(@JdbcConn(true)Connection con,String id)throws SQLException {

    }

    public static class TypeaheadItem {
        private String id;
        private String name;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

    }
}
