package com.ekexiu.project.platform.info;

import com.ekexiu.project.platform.base.po.BaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/22.
 */
@PrimaryKey("id")
@Table(descp = "平台信息表")
public class Platform implements BaseTable {

    private String id;
    private String name;
    private String logo;
    private String url;
    private String manageOrg;
    private String addr;
    private String location;
    private String zipCode;
    private String servicePhone;
    private String serviceEmail;
    private String operateTime;
    private String linkman;
    private String job;
    private String department;
    private String comp;
    private String linkphone;
    private String linkemail;
    private String descp;

    private String creator;
    private String modifier;
    private String createTime;
    private String modifyTime;

    @Column(descp = "平台ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "平台名称", value = DE.Text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "平台logo", value = DE.Text_de)
    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    @Column(descp = "平台简介", value = DE.Text_de)
    public String getDescp() {
        return descp;
    }

    public void setDescp(String descp) {
        this.descp = descp;
    }

    @Column(descp = "平台网址", value = DE.Text_de)
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Column(descp = "所在城市编码", value = DE.Text_de)
    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    @Column(descp = "平台地址", value = DE.Text_de)
    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    @Column(descp = "平台邮编", value = DE.Text_de)
    public String getZipCode() {
        return zipCode;
    }

    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    @Column(descp = "客服电话", value = DE.Text_de)
    public String getServicePhone() {
        return servicePhone;
    }

    public void setServicePhone(String servicePhone) {
        this.servicePhone = servicePhone;
    }

    @Column(descp = "客服邮箱", value = DE.Text_de)
    public String getServiceEmail() {
        return serviceEmail;
    }

    public void setServiceEmail(String serviceEmail) {
        this.serviceEmail = serviceEmail;
    }

    @Column(descp = "工作时间", value = DE.Text_de)
    public String getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    @Column(descp = "管理机构", value = DE.Text_de)
    public String getManageOrg() {
        return manageOrg;
    }

    public void setManageOrg(String manageOrg) {
        this.manageOrg = manageOrg;
    }

    @Column(descp = "联系人", value = DE.Text_de)
    public String getLinkman() {
        return linkman;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    @Column(descp = "联系人所在部门", value = DE.Text_de)
    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    @Column(descp = "联系人职位", value = DE.Text_de)
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Column(descp = "联系人所属单位", value = DE.Text_de)
    public String getComp() {
        return comp;
    }

    public void setComp(String comp) {
        this.comp = comp;
    }

    @Column(descp = "联系人电话", value = DE.Text_de)
    public String getLinkphone() {
        return linkphone;
    }

    public void setLinkphone(String linkphone) {
        this.linkphone = linkphone;
    }

    @Column(descp = "联系人邮箱", value = DE.Text_de)
    public String getLinkemail() {
        return linkemail;
    }

    public void setLinkemail(String linkemail) {
        this.linkemail = linkemail;
    }

    @Column(descp = "创建人ID", value = DE.id_32)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Column(descp = "最后修改人ID", value = DE.refid_32)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

}
