package com.ekexiu.project.platform.info;

import com.ekexiu.project.platform.system.vo.SessionManager;
import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.LoginUser;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Put;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.apt.web.annotation.param.RequestBody;
import org.jfw.util.exception.JfwBaseException;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2018/11/22.
 */
@Path("/platform")
public class PlatformService {

    @Autowrie
    private PlatformDao platformDao;

    public PlatformDao getPlatformDao() {
        return platformDao;
    }

    public void setPlatformDao(PlatformDao platformDao) {
        this.platformDao = platformDao;
    }

    @Path("/update")
    @Put
    public int update(@JdbcConn(true) Connection con, @RequestBody Platform platform, @LoginUser SessionManager manager) throws SQLException {
        platform.setModifier(manager.getId());
        return platformDao.update(con, platform);
    }

    @LoginUser
    @Path("/get")
    @Get
    public Platform query(@JdbcConn Connection con) throws SQLException, JfwBaseException {
        return platformDao.query(con);
    }

}
