package com.ekexiu.project.platform.product;

import com.ekexiu.project.platform.base.po.ManagedBaseTable;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/20.
 */
@PrimaryKey("id")
@Table(descp = "产品表",value = "PRODUCT")
public class Product implements ManagedBaseTable {
    private String id;
    private long shareId;
    private String companyId;
    private String img;
    private String name;
    private String cnt;
    private String descp;
    private String spec;
    private String producingArea;
    private String price;
    private String parameter;

    private boolean actived;

    private String creator;
    private String modifier;
    private String createTime;
    private String modifyTime;;

    @Column(descp="产品ID",value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "分享ID", value = DE.bigSerial)
    public long getShareId() {
        return shareId;
    }

    public void setShareId(long shareId) {
        this.shareId = shareId;
    }

    @Column(descp="所属企业ID",value = DE.id_32)
    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    @Column(descp="产品图片",value = DE.Text_de)
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    @Column(descp="产品名称",value = DE.Text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp="产品简介",value = DE.Text_de)
    public String getCnt() {
        return cnt;
    }

    public void setCnt(String cnt) {
        this.cnt = cnt;
    }

    @Column(descp="产品描述",value = DE.Text_de)
    public String getDescp() {
        return descp;
    }

    public void setDescp(String descp) {
        this.descp = descp;
    }

    @Column(descp="厂商型号",value = DE.Text_de)
    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    @Column(descp="产地",value = DE.Text_de)
    public String getProducingArea() {
        return producingArea;
    }

    public void setProducingArea(String producingArea) {
        this.producingArea = producingArea;
    }

    @Column(descp="价格",value = DE.Text_de)
    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    @Column(descp="性能参数",value = DE.Text_de)
    public String getParameter() {
        return parameter;
    }

    public void setParameter(String parameter) {
        this.parameter = parameter;
    }

    @Column(descp="有效标识",value = DE.boolean_de,renewable = false)
    public boolean isActived() {
        return actived;
    }

    public void setActived(boolean actived) {
        this.actived = actived;
    }

    @Column(descp = "创建人ID", value = DE.id_32)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Column(descp="最后修改人",value = DE.refid_32)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

}
