package com.ekexiu.project.platform.product;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.Dynamic;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.SetSentence;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.method.operator.Update;
import org.jfw.apt.orm.annotation.dao.method.operator.UpdateWith;
import org.jfw.apt.orm.annotation.dao.param.Set;
import org.jfw.util.PageQueryResult;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2018/11/26.
 */
@DAO
public interface ProductDao {

    @Insert
    int insert(Connection con, Product product) throws SQLException;

    @Update
    @Where("ACTIVED ='1'")
    @Dynamic
    int update(Connection con, Product product) throws SQLException;

    @UpdateWith
    @From(Product.class)
    @Where("ACTIVED = '1'")
    @SetSentence("ACTIVED = '0'")
    int delete(Connection con, String id, @Set String modifier) throws SQLException;

    @SelectOne
    @Nullable
    Product query(Connection con, String id) throws SQLException;

    @PageSelect
    @Where("ACTIVED = '1'")
    @OrderBy("ORDER BY CREATE_TIME DESC")
    PageQueryResult<Product> pageQuery(Connection con, String companyId, int pageSize, int pageNo) throws SQLException;


    @Insert
    int insert(Connection con, ProductKeyWord productKeyWord) throws SQLException;

    @DeleteWith
    @From(ProductKeyWord.class)
    int deleteKeyWord(Connection con, String id) throws SQLException;

    @SelectList
    @From(ProductKeyWord.class)
    List<ProductKeyWord> queryKeyWord(Connection con, String id) throws SQLException;


}
