package com.ekexiu.project.platform.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2018/11/21.
 */
@Table(descp = "拉黑用户表")
public class InvalidUser {

    private String id;
    private String account;
    private String name;
    private String sex;
    private String job;
    private String comp;
    private String loginPhone;
    private String linkPhone;
    private String email;
    private String addr;
    private String head;

    private String invalidTime;
    private String invalidOperator;
    private String invalidReason;

    @Column(descp = "用户ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "真实姓名", value = DE.Text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "用户名", value = DE.text_de)
    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    @Column(descp = "用户所属单位", value = DE.Text_de)
    public String getComp() {
        return comp;
    }

    public void setComp(String comp) {
        this.comp = comp;
    }

    @Column(value = DE.Text_de, descp = "用户职位")
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Column(descp = "联系电话", value = DE.Text_de)
    public String getLinkPhone() {
        return linkPhone;
    }

    public void setLinkPhone(String phone) {
        this.linkPhone = phone;
    }

    @Column(descp = "联系邮件", value = DE.Text_de)
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Column(value = DE.SingleChar, descp = "性别")
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    @Column(value = DE.text_de, descp = "登录手机号")
    public String getLoginPhone() {
        return loginPhone;
    }

    public void setLoginPhone(String loginPhone) {
        this.loginPhone = loginPhone;
    }

    @Column(value = DE.Text_de, descp = "所在城市编码")
    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    @Column(value = DE.Text_de, descp = "头像")
    public String getHead() {
        return head;
    }

    public void setHead(String head) {
        this.head = head;
    }

    @Column(descp = "最后拉黑时间（YYYYMMDDHH24MISS）不可修改", handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
    public String getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(String invalidTime) {
        this.invalidTime = invalidTime;
    }

    @Column(value = DE.text_de, descp = "最后拉黑人")
    public String getInvalidOperator() {
        return invalidOperator;
    }

    public void setInvalidOperator(String invalidOperator) {
        this.invalidOperator = invalidOperator;
    }

    @Column(value = DE.text_de, descp = "拉黑原因")
    public String getInvalidReason() {
        return invalidReason;
    }

    public void setInvalidReason(String invalidReason) {
        this.invalidReason = invalidReason;
    }
}
