package com.ekexiu.project.platform.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.project.platform.base.po.ManagedBaseTable;

@PrimaryKey("id")
@Uniques(@Unique(clolumns = "account",name = "account_unique"))
@Table(descp = "后台管理用户表")
public class Manager implements ManagedBaseTable {
    private String id;
    private String account;
    private String passwd;
    private String name;
    private String phone;
    private String email;
    private String job;
    private String dep;
    private String comp;
    private boolean actived;
    private String createTime;
    private String creator;
    private String modifyTime;
    private String modifier;
    private String invalidTime;

    private String invalidOperator;

    @Column(descp = "后台用户ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "后台用户帐号", value = DE.text_de)
    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    @Column(descp = "后台用户密码（md5）", value = DE.text_de)
    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    @Column(descp = "后台用户姓名", value = DE.Text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "后台用户电话", value = DE.Text_de)
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Column(descp = "后台用户邮箱", value = DE.Text_de)
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Column(descp = "后台用户职位", value = DE.Text_de)
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Column(descp = "后台用户部门", value = DE.Text_de)
    public String getDep() {
        return dep;
    }

    public void setDep(String dep) {
        this.dep = dep;
    }

    @Column(descp = "后台用户所在机构", value = DE.Text_de)
    public String getComp() {
        return comp;
    }

    public void setComp(String comp) {
        this.comp = comp;
    }

    @Column(descp = "后台用户帐号状态", value = DE.boolean_de,renewable = false)
    public boolean isActived() {
        return actived;
    }

    public void setActived(boolean actived) {
        this.actived = actived;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Column(descp = "后台用户最后停用时间", value = DE.Text_de)
    public String getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(String invalidTime) {
        this.invalidTime = invalidTime;
    }

    @Column(descp = "后台用户最后停用人", value = DE.Text_de)
    public String getInvalidOperator() {
        return invalidOperator;
    }

    public void setInvalidOperator(String invalidOperator) {
        this.invalidOperator = invalidOperator;
    }

}
