package com.ekexiu.project.platform.system.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.annotation.entry.Unique;
import org.jfw.apt.orm.annotation.entry.Uniques;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.project.platform.base.po.BaseTable;

@PrimaryKey("id")
@Uniques({@Unique(clolumns = "account", name = "UC_LUSER_ACCOUNT")})
@Table(descp = "用户表", value = "LUSER")
public class User implements BaseTable {
    private String createTime;
    private String modifyTime;


    private String id;
    private String account;
    private String name;
    private String sex;
    private String job;
    private String comp;
    private String loginPhone;
    private String linkPhone;
    private String email;
    private String passwd;
    private boolean actived;
    private String addr;
    private String head;


    @Column(descp = "是否可用", value = DE.boolean_de)
    public boolean isActived() {
        return actived;
    }

    public void setActived(boolean actived) {
        this.actived = actived;
    }

    @Column(descp = "密码（MD5）", queryable = false, handlerClass = StringHandler.class, dbType = "TEXT")
    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    @Column(descp = "用户ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "真实姓名", value = DE.Text_de)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(descp = "用户名", value = DE.text_de)
    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    @Column(descp = "用户所属单位", value = DE.Text_de)
    public String getComp() {
        return comp;
    }

    public void setComp(String comp) {
        this.comp = comp;
    }

    @Column(value = DE.Text_de, descp = "用户职位")
    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    @Column(descp = "联系电话", value = DE.Text_de)
    public String getLinkPhone() {
        return linkPhone;
    }

    public void setLinkPhone(String phone) {
        this.linkPhone = phone;
    }

    @Column(descp = "联系邮件", value = DE.Text_de)
    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Column(value = DE.SingleChar, descp = "性别")
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    @Column(value = DE.text_de, descp = "登录手机号")
    public String getLoginPhone() {
        return loginPhone;
    }

    public void setLoginPhone(String loginPhone) {
        this.loginPhone = loginPhone;
    }

    @Column(value = DE.Text_de, descp = "所在城市编码")
    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    @Column(value = DE.Text_de, descp = "头像")
    public String getHead() {
        return head;
    }

    public void setHead(String head) {
        this.head = head;
    }
}
