CREATE TABLE INVALID_USER (
        ID CHAR(32) NOT NULL,
        NAME TEXT,
        ACCOUNT TEXT NOT NULL,
        COMP TEXT,
        JOB TEXT,
        LINK_PHONE TEXT,
        EMAIL TEXT,
        SEX CHAR(1),
        LOGIN_PHONE TEXT NOT NULL,
        ADDR TEXT,
        HEAD TEXT,
        INVALID_TIME CHAR(14) NOT NULL,
        INVALID_OPERATOR TEXT NOT NULL,
        INVALID_REASON TEXT NOT NULL);
COMMENT ON TABLE INVALID_USER IS '拉黑用户表';
COMMENT ON COLUMN INVALID_USER.ID IS '用户ID';
COMMENT ON COLUMN INVALID_USER.NAME IS '真实姓名';
COMMENT ON COLUMN INVALID_USER.ACCOUNT IS '用户名';
COMMENT ON COLUMN INVALID_USER.COMP IS '用户所属单位';
COMMENT ON COLUMN INVALID_USER.JOB IS '用户职位';
COMMENT ON COLUMN INVALID_USER.LINK_PHONE IS '联系电话';
COMMENT ON COLUMN INVALID_USER.EMAIL IS '联系邮件';
COMMENT ON COLUMN INVALID_USER.SEX IS '性别';
COMMENT ON COLUMN INVALID_USER.LOGIN_PHONE IS '登录手机号';
COMMENT ON COLUMN INVALID_USER.ADDR IS '所在城市编码';
COMMENT ON COLUMN INVALID_USER.HEAD IS '头像';
COMMENT ON COLUMN INVALID_USER.INVALID_TIME IS '最后拉黑时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN INVALID_USER.INVALID_OPERATOR IS '最后拉黑人';
COMMENT ON COLUMN INVALID_USER.INVALID_REASON IS '拉黑原因';
CREATE TABLE PRODUCT_KEY_WORD (
        ID CHAR(32) NOT NULL,
        KEYWORD TEXT,
        NUM INTEGER NOT NULL);
COMMENT ON TABLE PRODUCT_KEY_WORD IS '产品关键词';
COMMENT ON COLUMN PRODUCT_KEY_WORD.ID IS '产品ID';
COMMENT ON COLUMN PRODUCT_KEY_WORD.KEYWORD IS '关键词';
COMMENT ON COLUMN PRODUCT_KEY_WORD.NUM IS '序号';
create sequence product_share_id_seq increment by 1 minvalue 100000 no maxvalue start with 100000;
CREATE TABLE PRODUCT (
        ID CHAR(32) NOT NULL,
        SHARE_ID int8 DEFAULT nextval('product_share_id_seq'::regclass) NOT NULL,
        COMPANY_ID CHAR(32) NOT NULL,
        IMG TEXT,
        NAME TEXT,
        CNT TEXT,
        DESCP TEXT,
        SPEC TEXT,
        PRODUCING_AREA TEXT,
        PRICE TEXT,
        PARAMETER TEXT,
        ACTIVED CHAR(1) NOT NULL,
        CREATOR CHAR(32) NOT NULL,
        MODIFIER CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL,
        MODIFY_TIME CHAR(14) NOT NULL);
ALTER TABLE PRODUCT ADD PRIMARY KEY (ID);
COMMENT ON TABLE PRODUCT IS '产品表';
COMMENT ON COLUMN PRODUCT.ID IS '产品ID';
COMMENT ON COLUMN PRODUCT.SHARE_ID IS '分享ID';
COMMENT ON COLUMN PRODUCT.COMPANY_ID IS '所属企业ID';
COMMENT ON COLUMN PRODUCT.IMG IS '产品图片';
COMMENT ON COLUMN PRODUCT.NAME IS '产品名称';
COMMENT ON COLUMN PRODUCT.CNT IS '产品简介';
COMMENT ON COLUMN PRODUCT.DESCP IS '产品描述';
COMMENT ON COLUMN PRODUCT.SPEC IS '厂商型号';
COMMENT ON COLUMN PRODUCT.PRODUCING_AREA IS '产地';
COMMENT ON COLUMN PRODUCT.PRICE IS '价格';
COMMENT ON COLUMN PRODUCT.PARAMETER IS '性能参数';
COMMENT ON COLUMN PRODUCT.ACTIVED IS '有效标识';
COMMENT ON COLUMN PRODUCT.CREATOR IS '创建人ID';
COMMENT ON COLUMN PRODUCT.MODIFIER IS '最后修改人';
COMMENT ON COLUMN PRODUCT.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN PRODUCT.MODIFY_TIME IS '最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101';
create sequence organization_share_id_seq increment by 1 minvalue 100000 no maxvalue start with 100000;
CREATE TABLE ORGANIZATION (
        ID TEXT NOT NULL,
        SHARE_ID int8 DEFAULT nextval('organization_share_id_seq'::regclass) NOT NULL,
        LEVEL INTEGER,
        ASS_TIME TEXT NOT NULL);
ALTER TABLE ORGANIZATION ADD PRIMARY KEY (ID);
COMMENT ON TABLE ORGANIZATION IS '合作机构表';
COMMENT ON COLUMN ORGANIZATION.ID IS '合作机构ID';
COMMENT ON COLUMN ORGANIZATION.SHARE_ID IS '合作机构共享ID';
COMMENT ON COLUMN ORGANIZATION.LEVEL IS '排序字段';
COMMENT ON COLUMN ORGANIZATION.ASS_TIME IS '入驻时间';
CREATE TABLE USER_LOGIN_LOG (
        ID TEXT NOT NULL,
        LAST_LOGIN_TIME TEXT NOT NULL);
ALTER TABLE USER_LOGIN_LOG ADD PRIMARY KEY (ID);
COMMENT ON TABLE USER_LOGIN_LOG IS '登录日志表';
COMMENT ON COLUMN USER_LOGIN_LOG.ID IS '用户ID';
COMMENT ON COLUMN USER_LOGIN_LOG.LAST_LOGIN_TIME IS '最后登录时间';
CREATE TABLE MANAGER (
        ID CHAR(32) NOT NULL,
        ACCOUNT TEXT NOT NULL,
        PASSWD TEXT NOT NULL,
        NAME TEXT,
        PHONE TEXT,
        EMAIL TEXT,
        JOB TEXT,
        DEP TEXT,
        COMP TEXT,
        ACTIVED CHAR(1) NOT NULL,
        INVALID_TIME TEXT,
        INVALID_OPERATOR TEXT,
        CREATOR CHAR(32) NOT NULL,
        MODIFIER CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL,
        MODIFY_TIME CHAR(14) NOT NULL);
ALTER TABLE MANAGER ADD PRIMARY KEY (ID);
COMMENT ON TABLE MANAGER IS '后台管理用户表';
COMMENT ON COLUMN MANAGER.ID IS '后台用户ID';
COMMENT ON COLUMN MANAGER.ACCOUNT IS '后台用户帐号';
COMMENT ON COLUMN MANAGER.PASSWD IS '后台用户密码（md5）';
COMMENT ON COLUMN MANAGER.NAME IS '后台用户姓名';
COMMENT ON COLUMN MANAGER.PHONE IS '后台用户电话';
COMMENT ON COLUMN MANAGER.EMAIL IS '后台用户邮箱';
COMMENT ON COLUMN MANAGER.JOB IS '后台用户职位';
COMMENT ON COLUMN MANAGER.DEP IS '后台用户部门';
COMMENT ON COLUMN MANAGER.COMP IS '后台用户所在机构';
COMMENT ON COLUMN MANAGER.ACTIVED IS '后台用户帐号状态';
COMMENT ON COLUMN MANAGER.INVALID_TIME IS '后台用户最后停用时间';
COMMENT ON COLUMN MANAGER.INVALID_OPERATOR IS '后台用户最后停用人';
COMMENT ON COLUMN MANAGER.CREATOR IS '创建人ID';
COMMENT ON COLUMN MANAGER.MODIFIER IS '最后修改人ID';
COMMENT ON COLUMN MANAGER.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN MANAGER.MODIFY_TIME IS '最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101';
CREATE TABLE PLATFORM (
        ID CHAR(32) NOT NULL,
        NAME TEXT,
        LOGO TEXT,
        DESCP TEXT,
        URL TEXT,
        ADDR TEXT,
        LOCATION TEXT,
        ZIP_CODE TEXT,
        SERVICE_PHONE TEXT,
        SERVICE_EMAIL TEXT,
        OPERATE_TIME TEXT,
        MANAGE_ORG TEXT,
        LINKMAN TEXT,
        DEPARTMENT TEXT,
        JOB TEXT,
        COMP TEXT,
        LINKPHONE TEXT,
        LINKEMAIL TEXT,
        CREATOR CHAR(32) NOT NULL,
        MODIFIER CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL,
        MODIFY_TIME CHAR(14) NOT NULL);
ALTER TABLE PLATFORM ADD PRIMARY KEY (ID);
COMMENT ON TABLE PLATFORM IS '平台信息表';
COMMENT ON COLUMN PLATFORM.ID IS '平台ID';
COMMENT ON COLUMN PLATFORM.NAME IS '平台名称';
COMMENT ON COLUMN PLATFORM.LOGO IS '平台logo';
COMMENT ON COLUMN PLATFORM.DESCP IS '平台简介';
COMMENT ON COLUMN PLATFORM.URL IS '平台网址';
COMMENT ON COLUMN PLATFORM.ADDR IS '所在城市编码';
COMMENT ON COLUMN PLATFORM.LOCATION IS '平台地址';
COMMENT ON COLUMN PLATFORM.ZIP_CODE IS '平台邮编';
COMMENT ON COLUMN PLATFORM.SERVICE_PHONE IS '客服电话';
COMMENT ON COLUMN PLATFORM.SERVICE_EMAIL IS '客服邮箱';
COMMENT ON COLUMN PLATFORM.OPERATE_TIME IS '工作时间';
COMMENT ON COLUMN PLATFORM.MANAGE_ORG IS '管理机构';
COMMENT ON COLUMN PLATFORM.LINKMAN IS '联系人';
COMMENT ON COLUMN PLATFORM.DEPARTMENT IS '联系人所在部门';
COMMENT ON COLUMN PLATFORM.JOB IS '联系人职位';
COMMENT ON COLUMN PLATFORM.COMP IS '联系人所属单位';
COMMENT ON COLUMN PLATFORM.LINKPHONE IS '联系人电话';
COMMENT ON COLUMN PLATFORM.LINKEMAIL IS '联系人邮箱';
COMMENT ON COLUMN PLATFORM.CREATOR IS '创建人ID';
COMMENT ON COLUMN PLATFORM.MODIFIER IS '最后修改人ID';
COMMENT ON COLUMN PLATFORM.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN PLATFORM.MODIFY_TIME IS '最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101';
create sequence professor_share_id_seq increment by 1 minvalue 100000 no maxvalue start with 100000;
CREATE TABLE PROFESSOR (
        ID TEXT NOT NULL,
        SHARE_ID int8 DEFAULT nextval('professor_share_id_seq'::regclass) NOT NULL,
        LEVEL INTEGER,
        ASS_TIME TEXT NOT NULL);
ALTER TABLE PROFESSOR ADD PRIMARY KEY (ID);
COMMENT ON TABLE PROFESSOR IS '特约专家表';
COMMENT ON COLUMN PROFESSOR.ID IS '特约专家ID';
COMMENT ON COLUMN PROFESSOR.SHARE_ID IS '特约专家共享ID';
COMMENT ON COLUMN PROFESSOR.LEVEL IS '排序字段';
COMMENT ON COLUMN PROFESSOR.ASS_TIME IS '入驻时间';
CREATE TABLE SYS_RIGHT (
        UID CHAR(32) NOT NULL,
        RIGHT_CODE TEXT NOT NULL);
COMMENT ON TABLE SYS_RIGHT IS '用户权限表';
COMMENT ON COLUMN SYS_RIGHT.UID IS '后台用户ID';
COMMENT ON COLUMN SYS_RIGHT.RIGHT_CODE IS '权限码';
CREATE TABLE ARTICLE_PRO (
        ARTICLE_ID CHAR(32) NOT NULL,
        PROFESSOR_ID CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL);
COMMENT ON TABLE ARTICLE_PRO IS '内容关联专家';
COMMENT ON COLUMN ARTICLE_PRO.ARTICLE_ID IS '内容ID';
COMMENT ON COLUMN ARTICLE_PRO.PROFESSOR_ID IS '专家ID';
COMMENT ON COLUMN ARTICLE_PRO.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
create sequence article_share_id_seq increment by 1 minvalue 100000 no maxvalue start with 100000;
CREATE TABLE ARTICLE (
        ID CHAR(32) NOT NULL,
        SHARE_ID int8 DEFAULT nextval('article_share_id_seq'::regclass) NOT NULL,
        CATALOG TEXT,
        TITLE TEXT NOT NULL,
        SOURCE TEXT,
        IMG_URL TEXT,
        CNT TEXT,
        PUBLISHED CHAR(1) NOT NULL,
        ACTIVED CHAR(1) NOT NULL,
        PROFESSOR TEXT,
        ORG TEXT,
        COMP TEXT,
        CREATOR CHAR(32) NOT NULL,
        MODIFIER CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL,
        MODIFY_TIME CHAR(14) NOT NULL);
ALTER TABLE ARTICLE ADD PRIMARY KEY (ID);
COMMENT ON TABLE ARTICLE IS '内容表';
COMMENT ON COLUMN ARTICLE.ID IS '内容ID';
COMMENT ON COLUMN ARTICLE.SHARE_ID IS '内容分享ID';
COMMENT ON COLUMN ARTICLE.CATALOG IS '内容栏目';
COMMENT ON COLUMN ARTICLE.TITLE IS '内容标题';
COMMENT ON COLUMN ARTICLE.SOURCE IS '内容来源';
COMMENT ON COLUMN ARTICLE.IMG_URL IS '封面图片';
COMMENT ON COLUMN ARTICLE.CNT IS '内容';
COMMENT ON COLUMN ARTICLE.PUBLISHED IS '内容状态';
COMMENT ON COLUMN ARTICLE.ACTIVED IS '有效标志';
COMMENT ON COLUMN ARTICLE.PROFESSOR IS '关联专家';
COMMENT ON COLUMN ARTICLE.ORG IS '关联机构';
COMMENT ON COLUMN ARTICLE.COMP IS '关联企业';
COMMENT ON COLUMN ARTICLE.CREATOR IS '创建人ID';
COMMENT ON COLUMN ARTICLE.MODIFIER IS '最后修改人ID';
COMMENT ON COLUMN ARTICLE.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN ARTICLE.MODIFY_TIME IS '最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101';
CREATE TABLE COMP_KEY_WORD (
        ID TEXT NOT NULL,
        TYPE INTEGER NOT NULL,
        VALUE TEXT NOT NULL,
        NUM INTEGER NOT NULL);
COMMENT ON TABLE COMP_KEY_WORD IS '企业关键词';
COMMENT ON COLUMN COMP_KEY_WORD.ID IS '企业ID';
COMMENT ON COLUMN COMP_KEY_WORD.TYPE IS '关键词类型（所属行业：1，专注领域：2，企业资质：3，供应商领域：4，客户领域：5）';
COMMENT ON COLUMN COMP_KEY_WORD.VALUE IS '关键词';
COMMENT ON COLUMN COMP_KEY_WORD.NUM IS '序号';
CREATE TABLE COMP_INVITE (
        ID CHAR(32) NOT NULL,
        EMAIL TEXT NOT NULL,
        INVITE_CODE TEXT NOT NULL,
        LAST_TIME CHAR(14) NOT NULL,
        LAST_INVITER CHAR(32) NOT NULL,
        ACTIVED CHAR(1) NOT NULL);
COMMENT ON TABLE COMP_INVITE IS '企业邀请表';
COMMENT ON COLUMN COMP_INVITE.ID IS '企业ID';
COMMENT ON COLUMN COMP_INVITE.EMAIL IS '联系邮箱';
COMMENT ON COLUMN COMP_INVITE.INVITE_CODE IS '邀请码';
COMMENT ON COLUMN COMP_INVITE.LAST_TIME IS '最后邀请时间';
COMMENT ON COLUMN COMP_INVITE.LAST_INVITER IS '最后邀请人';
COMMENT ON COLUMN COMP_INVITE.ACTIVED IS '有效标识';
create sequence company_share_id_seq increment by 1 minvalue 100000 no maxvalue start with 100000;
CREATE TABLE COMPANY (
        ID CHAR(32) NOT NULL,
        SHARE_ID int8 DEFAULT nextval('company_share_id_seq'::regclass) NOT NULL,
        NAME TEXT NOT NULL,
        LOGO TEXT,
        TYPE CHAR(1),
        SIZE TEXT,
        FOUND_YEAR TEXT,
        DESCP TEXT,
        URL TEXT,
        LOCATION TEXT,
        ADDR TEXT,
        ZIP_CODE TEXT,
        SERVICE_PHONE TEXT,
        SERVICE_EMAIL TEXT,
        OPERATE_TIME TEXT,
        LINKMAN TEXT,
        JOB TEXT,
        DEPARTMENT TEXT,
        LINKPHONE TEXT,
        LINKEMAIL TEXT,
        ACTIVED CHAR(1) NOT NULL,
        ACTIVE_TIME CHAR(14),
        CREATOR CHAR(32) NOT NULL,
        MODIFIER CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL,
        MODIFY_TIME CHAR(14) NOT NULL);
ALTER TABLE COMPANY ADD PRIMARY KEY (ID);
COMMENT ON TABLE COMPANY IS '企业信息';
COMMENT ON COLUMN COMPANY.ID IS '企业ID';
COMMENT ON COLUMN COMPANY.SHARE_ID IS '共享ID';
COMMENT ON COLUMN COMPANY.NAME IS '企业名称';
COMMENT ON COLUMN COMPANY.LOGO IS '企业logo';
COMMENT ON COLUMN COMPANY.TYPE IS '企业类型';
COMMENT ON COLUMN COMPANY.SIZE IS '企业规模';
COMMENT ON COLUMN COMPANY.FOUND_YEAR IS '创立年份';
COMMENT ON COLUMN COMPANY.DESCP IS '企业简介';
COMMENT ON COLUMN COMPANY.URL IS '官方网址';
COMMENT ON COLUMN COMPANY.LOCATION IS '企业地址';
COMMENT ON COLUMN COMPANY.ADDR IS '所在城市编码';
COMMENT ON COLUMN COMPANY.ZIP_CODE IS '企业邮编';
COMMENT ON COLUMN COMPANY.SERVICE_PHONE IS '客服电话';
COMMENT ON COLUMN COMPANY.SERVICE_EMAIL IS '客服邮箱';
COMMENT ON COLUMN COMPANY.OPERATE_TIME IS '工作时间';
COMMENT ON COLUMN COMPANY.LINKMAN IS '联系人';
COMMENT ON COLUMN COMPANY.JOB IS '联系人职位';
COMMENT ON COLUMN COMPANY.DEPARTMENT IS '所在部门';
COMMENT ON COLUMN COMPANY.LINKPHONE IS '联系人电话';
COMMENT ON COLUMN COMPANY.LINKEMAIL IS '联系人邮箱';
COMMENT ON COLUMN COMPANY.ACTIVED IS '激活状态';
COMMENT ON COLUMN COMPANY.ACTIVE_TIME IS '激活时间';
COMMENT ON COLUMN COMPANY.CREATOR IS '创建人ID';
COMMENT ON COLUMN COMPANY.MODIFIER IS '最后修改人ID';
COMMENT ON COLUMN COMPANY.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
COMMENT ON COLUMN COMPANY.MODIFY_TIME IS '最后修改时间（YYYYMMDDHH24MISS）,初始值:20000101010101';
CREATE TABLE INVALID_ARTICLE (
        ID TEXT NOT NULL,
        TITLE TEXT NOT NULL,
        CATALOG TEXT,
        CREATOR TEXT NOT NULL,
        CREATE_TIME TEXT NOT NULL,
        INVALID_TIME TEXT NOT NULL,
        INVALID_OPERATOR TEXT NOT NULL);
ALTER TABLE INVALID_ARTICLE ADD PRIMARY KEY (ID);
COMMENT ON TABLE INVALID_ARTICLE IS '无效内容表';
COMMENT ON COLUMN INVALID_ARTICLE.ID IS '内容ID';
COMMENT ON COLUMN INVALID_ARTICLE.TITLE IS '内容标题';
COMMENT ON COLUMN INVALID_ARTICLE.CATALOG IS '内容栏目';
COMMENT ON COLUMN INVALID_ARTICLE.CREATOR IS '内容创建人';
COMMENT ON COLUMN INVALID_ARTICLE.CREATE_TIME IS '内容创建时间';
COMMENT ON COLUMN INVALID_ARTICLE.INVALID_TIME IS '最后删除时间';
COMMENT ON COLUMN INVALID_ARTICLE.INVALID_OPERATOR IS '最后删除人';
CREATE TABLE ARTICLE_COMP (
        ARTICLE_ID CHAR(32) NOT NULL,
        COMP_ID CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL);
COMMENT ON TABLE ARTICLE_COMP IS '内容关联企业';
COMMENT ON COLUMN ARTICLE_COMP.ARTICLE_ID IS '内容ID';
COMMENT ON COLUMN ARTICLE_COMP.COMP_ID IS '企业ID';
COMMENT ON COLUMN ARTICLE_COMP.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';
CREATE TABLE ARTICLE_ORG (
        ARTICLE_ID CHAR(32) NOT NULL,
        ORG_ID CHAR(32) NOT NULL,
        CREATE_TIME CHAR(14) NOT NULL);
COMMENT ON TABLE ARTICLE_ORG IS '内容关联机构';
COMMENT ON COLUMN ARTICLE_ORG.ARTICLE_ID IS '内容ID';
COMMENT ON COLUMN ARTICLE_ORG.ORG_ID IS '机构ID';
COMMENT ON COLUMN ARTICLE_ORG.CREATE_TIME IS '创建时间（YYYYMMDDHH24MISS）不可修改';

INSERT INTO "public"."manager" ("id", "account", "passwd", "name", "phone", "email", "job", "dep", "comp", "actived", "invalid_time", "invalid_operator","create_time","creator","modify_time","modifier") VALUES ('4733F3525B4E40719242AB154932CAA5', '18888888888', 'E10ADC3949BA59ABBE56E057F20F883E', 'admin', '18888888888', 'admin@ekexiu.com', '11', '11', '11', '1','','', '20180718091626', '4733F3525B4E40719242AB154932CAA5','20180718091626', '4733F3525B4E40719242AB154932CAA5');

ALTER TABLE MANAGER ADD UNIQUE (ACCOUNT);

